PETSc version 3.17.4
Fix/Edit manual page

# KSPGuessSetTolerance

Sets the relative tolerance used in either eigenvalue (POD) or singular value (Fischer type 3) calculations. Ignored by the first and second Fischer types.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessSetTolerance(KSPGuess guess, PetscReal tol)

Collective on guess

### Input Parameter

| guess | - KSPGuess object

### See Also

KSPGuess, KSPGuessType, KSPGuessSetFromOptions()

### Level

intermediate

### Location

src/ksp/ksp/interface/iguess.c

### Implementations

KSPGuessSetTolerance_Fischer in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessSetTolerance_POD in src/ksp/ksp/guess/impls/pod/pod.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages